### Function

# AppStream utils_locale_is_compatible

since: 0.9.5

#### Declaration [src]

    gboolean
    as_utils_locale_is_compatible (
      const gchar* locale1,
      const gchar* locale2
    )

#### Description [src]

Calculates if one locale is compatible with another. When doing the calculation the locale and language code is taken into account if possible.

Available since: 0.9.5

#### Parameters

`locale1`

  Type: `const gchar*`

  A BCP47 or POSIX locale string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`locale2`

  Type: `const gchar*`

  A BCP47 or POSIX locale string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the locale is compatible.